Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d

From: Philipp Stephani <[email-masked]>
Date: Sun, 23 Apr 2017 16:43:59 +0000

<[email-masked]> schrieb am Sa., 22. Apr. 2017 um 23:38 Uhr:

> Philipp Stephani <[email-masked]> writes:
>
> > <[email-masked]> schrieb am Fr., 21. Apr. 2017 um 05:28
> Uhr:
> >>
> >> Patch looks good, except the test seems redundant to me.  I don't think
> >> it's useful to test that a command is defined, or testing that specific
> >> keybindings have been set (i.e., no need to test again that `defun' or
> >> `define-key' are working).
> >
> >
> > I've used a bit of TDD for this patch, thus the verbose test.
>
> I suppose my real objection is that 'make check' is already taking long
> enough that it makes me reluctant to use it, so I don't really want to
> see more tests of such marginal utility.  But any single test isn't
> adding a significant amount of time, so I'm not going to insist.
>

Agreed that it takes very long, but I think good coverage is more important
(and the full suite should mostly be run on continuous integration, not
manually).

>
> In conclusion, feel free to push this; as far as I'm concerned, the
> decision about the test is up to you.
>

Thanks, pushed as a1f93c1dfa.